#!/bin/bash -e
#
# simple-sync-phone:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/freebox-tools,
# Ensure *.sh are executables and readonly,
# Add links into: /usr/bin
#
declare -grx INSTALL_DATA_DIR='/usr/local/share/simple-sync-phone'
declare -grx INSTALL_BIN_DIR='/usr/bin'

declare -grx REMOVE_EXE="${INSTALL_DATA_DIR}/simple-sync-phone-remove.sh"

declare -grx INSTALL_LINKS='
simple-sync-phone
'

declare -grx INSTALL_EXE='
bin/simple-sync-phone.sh
simple-sync-phone-install.sh
simple-sync-phone-remove.sh
'

declare -grax INSTALL_PACKAGES=( curl jq )
declare -grax INSTALL_API_INSTALL_MAIN_EXCLUDE=(
'.git'
'.gitignore'
'.gitmodules'
'.target'
'package'
'tests'
)
